This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007920 - 'Configuring Inter-host Access Keys' should mention that these settings must be the same across all Brokers
'Configuring Inter-host Access Keys' should mention that these settings must ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: brice
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 10:51 EDT by Brenton Leanhardt
Modified: 2014-05-26 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 19:47:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-09-13 10:51:11 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Deployment_Guide/index.html

Section Number and Name:
5.7.4. Configuring the Required Services: Configuring Inter-host Access Keys

Describe the issue: 

If the following setting do not point to the same private key on all Brokers then jenkins authentication will not work:


AUTH_PRIVKEYFILE="/etc/openshift/server_priv.pem"
AUTH_PRIVKEYPASS=""
AUTH_PUBKEYFILE="/etc/openshift/server_pub.pem"

The same is true for AUTH_SALT.  It must be the same across all Brokers in a cluster or Jenkins integration and scaling will not work.

Suggestions for improvement:
I would make this clear in the documentation.  Perhaps with a "Note" section. 

Additional information: 
The comments in the configuration files themselves do mention this.

Note You need to log in before you can comment on or make changes to this bug.